Bug 1317904 - python-rosinstall_generator: Provide a Python 3 subpackage
Summary: python-rosinstall_generator: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rosinstall_generator
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-03-15 13:24 UTC by Tomas Orsava
Modified: 2016-06-29 17:23 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-06-29 12:56:37 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-03-15 13:24:09 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 13:11:19 UTC
Hello Ankur,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Ankur Sinha (FranciscoD) 2016-04-22 14:12:30 UTC
Hiya,

Sorry, just short on time. I'll work on it this in the coming weeks.

Cheers!

Comment 3 Fedora Update System 2016-06-20 10:08:20 UTC
python-rosinstall_generator-0.1.11-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-713f3807ab

Comment 4 Fedora Update System 2016-06-20 10:08:29 UTC
python-rosinstall_generator-0.1.11-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5557ac7a6d

Comment 5 Fedora Update System 2016-06-20 20:54:06 UTC
python-rosinstall_generator-0.1.11-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5557ac7a6d

Comment 6 Fedora Update System 2016-06-20 21:21:17 UTC
python-rosinstall_generator-0.1.11-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-713f3807ab

Comment 7 Fedora Update System 2016-06-29 12:56:34 UTC
python-rosinstall_generator-0.1.11-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-29 17:23:10 UTC
python-rosinstall_generator-0.1.11-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.